edu.ucsb.nceas.metacat.dataquery

## Class MetacatEcogridEndPoint

- java.lang.Object
- - edu.ucsb.nceas.metacat.dataquery.MetacatEcogridEndPoint

- All Implemented Interfaces:
    org.ecoinformatics.datamanager.download.EcogridEndPointInterface
  Direct Known Subclasses:
    MetacatAuthenticatedEcogridEndPoint

      public class MetacatEcogridEndPoint
      extends java.lang.Object
      implements org.ecoinformatics.datamanager.download.EcogridEndPointInterface

  This class implements EcogridEndPointInterface and is configurable using a properties file. Should be useful for switching to remote endpoints etc.
  Author:
    leinfelder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `baseURL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetacatEcogridEndPoint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMetacatEcogridAuthEndPoint()`
    `java.lang.String` | `getMetacatEcogridEndPoint()` Gets the end point which Metacat implements ecogrid interface.
    `java.lang.String` | `getMetacatEcogridIdentifierEndPoint()`
    `java.lang.String` | `getMetacatEcogridPutEndPoint()`
    `java.lang.String` | `getSRBEcogridEndPoint()` Gets the end point which SRB implements ecogrid interface.
    `java.lang.String` | `getSRBMachineName()` Gets the machine name which srb protocol will be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseURL

          protected java.lang.String baseURL

  - ### Constructor Detail

    - #### MetacatEcogridEndPoint

          public MetacatEcogridEndPoint()

  - ### Method Detail

    - #### getMetacatEcogridEndPoint

          public java.lang.String getMetacatEcogridEndPoint()

      Gets the end point which Metacat implements ecogrid interface. This end point will be used to handle ecogrid protocol
      Specified by:
        `getMetacatEcogridEndPoint` in interface `org.ecoinformatics.datamanager.download.EcogridEndPointInterface`
      Returns:
        end point url string

    - #### getMetacatEcogridAuthEndPoint

          public java.lang.String getMetacatEcogridAuthEndPoint()

    - #### getMetacatEcogridPutEndPoint

          public java.lang.String getMetacatEcogridPutEndPoint()

    - #### getMetacatEcogridIdentifierEndPoint

          public java.lang.String getMetacatEcogridIdentifierEndPoint()

    - #### getSRBEcogridEndPoint

          public java.lang.String getSRBEcogridEndPoint()

      Gets the end point which SRB implements ecogrid interface. This end point will be used to handle srb protocol.
      Specified by:
        `getSRBEcogridEndPoint` in interface `org.ecoinformatics.datamanager.download.EcogridEndPointInterface`
      Returns:
        end point url string

    - #### getSRBMachineName

          public java.lang.String getSRBMachineName()

      Gets the machine name which srb protocol will be used. The default value for this class is "srb-mcat.sdsc.edu".
      Specified by:
        `getSRBMachineName` in interface `org.ecoinformatics.datamanager.download.EcogridEndPointInterface`
      Returns:
        the machine name of srb server

Copyright © 2020 Regents of the University of California. All Rights Reserved.